### Method

# Ide SnippetStorage foreach

#### Declaration

    void
    ide_snippet_storage_foreach (
      IdeSnippetStorage* self,
      IdeSnippetStorageForeach foreach,
      gpointer user_data
    )

#### Description

This will call `foreach` for every item that has been loaded.

Available since: | 3.32

#### Parameters

`foreach` | `IdeSnippetStorageForeach`
| The closure to call for each info.
`user_data` | `gpointer`
| Closure data for `foreach`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.